from lambda_tools import BaseLambdaApp, LambdaAppRequest, logger


class LambdaApp(BaseLambdaApp):
    async def onStart(self):
        self.ctx.logger.info("start lambda")

    async def onShutdown(self):
        self.ctx.logger.info("shutdown lambda")


async def main(request: LambdaAppRequest) -> dict:
    try:
        logger.info(request.json)
        isRawBodyInRequest = False
        isJsonInRequest = True
    except Exception:
        isJsonInRequest = False
        isRawBodyInRequest = True
        try:
            logger.info(request.body)
        except Exception:
            isRawBodyInRequest = False
    return {
        "request_contains_json": isJsonInRequest,
        "request_contains_raw_body": isRawBodyInRequest,
    }

